import { TestResult } from '../tests';
import { CartographerTestCase } from './CartographerTestCase';
/**
 * This test simulates creating two paths to a destination, one for a road
 * and one for haulers to travel off road (when empty, fatigue doesn't matter,
 * and terrain is irrelevant)
 */
export declare class TestCachedPaths extends CartographerTestCase {
    _creeps: {
        c1: string;
        b: string;
    };
    ticksRun: number;
    phase: number;
    test(): TestResult;
    cleanup(): void;
}
