/// <reference types="screeps" />
declare global {
    interface CreepMemory {
        room: string;
        scoutTarget?: string;
        useCartographer?: boolean;
    }
    interface RoomMemory {
        visited?: boolean;
        sources?: string;
        controller?: string;
        exits?: string;
    }
}
export declare const scout: {
    spawn: (spawn: StructureSpawn) => void;
    run: (creep: Creep) => void;
};
